summaryrefslogtreecommitdiff
path: root/tests/dd/not-rewound
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-08-23 07:45:59 +0000
committerJim Meyering <jim@meyering.net>2000-08-23 07:45:59 +0000
commit441d42d2628b42d818dd97a13e462a6e3adb0a48 (patch)
tree0da3c3e2281613d2d4a5f21bbb29ad29045abfdd /tests/dd/not-rewound
parent47635579b0bed67da57f825e193e83659be28ed6 (diff)
downloadcoreutils-441d42d2628b42d818dd97a13e462a6e3adb0a48.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/dd/not-rewound')
-rwxr-xr-xtests/dd/not-rewound32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/dd/not-rewound b/tests/dd/not-rewound
new file mode 100755
index 000000000..0a500427d
--- /dev/null
+++ b/tests/dd/not-rewound
@@ -0,0 +1,32 @@
+#!/bin/sh
+# Make sure dd does the right thing when the file descriptor is not rewound.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ dd --version
+fi
+
+pwd=`pwd`
+tmp=dd-rw.$$
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+
+echo abc > in
+(dd skip=1 count=1 bs=1; dd skip=1 bs=1) < in > out || fail=1
+case `cat out` in
+ b) ;;
+ *) fail=1 ;;
+esac
+
+(exit $fail); exit